Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Interface LayoutManagerMaker

All Known Implementing Classes:
  LayoutManagerMapping

    public interface LayoutManagerMaker

The interface for all LayoutManager makers

Method Summary
`ContentLayoutManager` | `makeContentLayoutManager(PageSequenceLayoutManager pslm, Title title)` Make a ContentLayoutManager object.
`ExternalDocumentLayoutManager` | `makeExternalDocumentLayoutManager(AreaTreeHandler ath, ExternalDocument ed)` Make a ExternalDocumentLayoutManager object for the fox:external-document extension.
`FlowLayoutManager` | `makeFlowLayoutManager(PageSequenceLayoutManager pslm, Flow flow)` Make a FlowLayoutManager object.
`LayoutManager` | `makeLayoutManager(FONode node)` Make a specific LayoutManager for the node.
`void` | `makeLayoutManagers(FONode node, java.util.List lms)` Make LayoutManagers for the node and add them to the list lms.
`PageSequenceLayoutManager` | `makePageSequenceLayoutManager(AreaTreeHandler ath, PageSequence ps)` Make a PageSequenceLayoutManager object.
`StaticContentLayoutManager` | `makeStaticContentLayoutManager(PageSequenceLayoutManager pslm, StaticContent sc, Block block)` Make a StaticContentLayoutManager object for a footnote-separator.
`StaticContentLayoutManager` | `makeStaticContentLayoutManager(PageSequenceLayoutManager pslm, StaticContent sc, SideRegion reg)` Make a StaticContentLayoutManager object.

Method Detail

### makeLayoutManagers

    void makeLayoutManagers(FONode node,
                            java.util.List lms)

  Make LayoutManagers for the node and add them to the list lms.

  Parameters:
    `node` - the FO node for which the LayoutManagers are made
    `lms` - the list to which the LayoutManagers are added

### makeLayoutManager

    LayoutManager makeLayoutManager(FONode node)

  Make a specific LayoutManager for the node. If not exactly one LayoutManagers is available, an IllegalStateException is thrown.

  Parameters:
    `node` - the FO node for which the LayoutManagers are made
  Returns:
    The created LayoutManager

### makePageSequenceLayoutManager

    PageSequenceLayoutManager makePageSequenceLayoutManager(AreaTreeHandler ath,
                                                            PageSequence ps)

  Make a PageSequenceLayoutManager object.

  Parameters:
    `ath` - the AreaTreeHandler object the PSLM interacts with
    `ps` - the fo:page-sequence object this PSLM will process
  Returns:
    The created PageSequenceLayoutManager object

### makeExternalDocumentLayoutManager

    ExternalDocumentLayoutManager makeExternalDocumentLayoutManager(AreaTreeHandler ath,
                                                                    ExternalDocument ed)

  Make a ExternalDocumentLayoutManager object for the fox:external-document extension.

  Parameters:
    `ath` - the AreaTreeHandler object the external-document interacts with
    `ed` - the fox:external-document object to be processed
  Returns:
    The created ExternalDocumentLayoutManager object

### makeFlowLayoutManager

    FlowLayoutManager makeFlowLayoutManager(PageSequenceLayoutManager pslm,
                                            Flow flow)

  Make a FlowLayoutManager object.

  Parameters:
    `pslm` - the parent PageSequenceLayoutManager object
    `flow` - the fo:flow object this FLM will process
  Returns:
    The created FlowLayoutManager object

### makeContentLayoutManager

    ContentLayoutManager makeContentLayoutManager(PageSequenceLayoutManager pslm,
                                                  Title title)

  Make a ContentLayoutManager object.

  Parameters:
    `pslm` - the parent PageSequenceLayoutManager object
    `title` - the fo:title object this CLM will process
  Returns:
    The created ContentLayoutManager object

### makeStaticContentLayoutManager

    StaticContentLayoutManager makeStaticContentLayoutManager(PageSequenceLayoutManager pslm,
                                                              StaticContent sc,
                                                              SideRegion reg)

  Make a StaticContentLayoutManager object.

  Parameters:
    `pslm` - the parent PageSequenceLayoutManager object
    `sc` - the fo:static-content object this SCLM will process
    `reg` - the side region indicating where the static content needs to be processed.
  Returns:
    The created StaticContentLayoutManager object

### makeStaticContentLayoutManager

    StaticContentLayoutManager makeStaticContentLayoutManager(PageSequenceLayoutManager pslm,
                                                              StaticContent sc,
                                                              Block block)

  Make a StaticContentLayoutManager object for a footnote-separator.

  Parameters:
    `pslm` - the parent PageSequenceLayoutManager object
    `sc` - the fo:static-content object this SCLM will process
    `block` - the Block area this SCLM must add its areas to
  Returns:
    The created StaticContentLayoutManager object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.